                  /*********************************/
                  /*              NOTE             */
                  /*                               */
                  /* This sample code has been     */
                  /* provided by IBM.  It is not   */
                  /* warranted for any particular  */
                  /* use or purpose.               */
                  /*                               */
                  /* IBM releases this code into   */
                  /* the public domain.  You may   */
                  /* use it, modify it, or         */
                  /* incorporate it into other     */
                  /* products without restriction. */
                  /*********************************/
/* Internal include file for rfio.h.  It includes the external one as well */


/* some useful constants */
#define RF_RDONLY "r"
#define PATH_SEPS "\\"
#define DRIVE_SEPS ":"
#define PATH_SEPC '\\'
#define DRIVE_SEPC ':'
#define ENVPATH_SEPC ';'
#define CHARSIZE sizeof(char)
#define CHARLENT2  CHARSIZE+CHARSIZE
#define FOREVER 1

/* Line classifications that can be returned by RF_parse_RF_line */
#define RFCOMMENT   11
#define RFKWONLY    12

/* Response file marker characters */
#define RF_COMMENTMARK1   '*'
#define RF_COMMENTMARK2   ';'
#define RF_LISTSTART     '('
#define RF_LISTSTARTS    "("
#define RF_LISTEND       ')'
#define RF_LISTENDS      ")"

/* Here's an important one:  the longest a single response file line can be */
#define RF_MAXLINE  256

/* I tried real hard not to have any global variables, but it's too */
/* clumsy to do without a line number that is remembered  between calls */
/* to the sequential I/O routines: */
unsigned int RF_lineno;

#include "rfioe.h"
